Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Income-stratified consumer spending data, tracking spending patterns across income cohorts.
{ "oi": [ { "date": "2025-03-17", "series_key": "SERIES_A", "value": 4.2 }, { "date": "2025-03-17", "series_key": "SERIES_B", "value": 8.7 } ] }
312
Show Object properties
curl "https://api.consumersignals.io/api/oi?weeks=156"
import requests response = requests.get( "https://api.consumersignals.io/api/oi", params={"weeks": 156} ) data = response.json()
const response = await fetch( "https://api.consumersignals.io/api/oi?weeks=156" ); const data = await response.json();